{
    attributes = (
        {
            allowsNull = Y; 
            columnName = MTEC_ABREVIATION; 
            externalType = VARCHAR2; 
            name = mtecAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = MTEC_CHOIX; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = MTEC_DETAIL; }; 
            name = mtecChoix; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = MTEC_CODE; 
            externalType = VARCHAR2; 
            name = mtecCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = MTEC_LIBELLE; 
            externalType = VARCHAR2; 
            name = mtecLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MTEC_VALIDITE; 
            externalType = VARCHAR2; 
            name = mtecValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (mtecCode); 
    className = EOGenericRecord; 
    classProperties = (mtecCode, mtecLibelle, mtecAbreviation, mtecChoix, mtecValidite); 
    externalName = SCOL_MAQUETTE_TYPE_EC; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteTypeEc; 
    primaryKeyAttributes = (mtecCode); 
}
